Subject: Re: [PATCH 0/5] NFS: create blocklayout pipe per network namesapce context

From: Stanislav Kinsbursky <[email-masked]>
Date: Wed, 11 Jan 2012 21:23:14 +0400

11.01.2012 20:23, Trond Myklebust пишет:
> On Tue, 2012-01-10 at 16:58 +0400, Stanislav Kinsbursky wrote:
>> 06.01.2012 00:58, Trond Myklebust пишет:
>>> The second problem that was highlighted was the fact that as they stand
>>> today, these patchsets do not allow for bisection. When we hit the Oops,
>>> I had Bryan try to bisect where the problem arose. He ended up pointing
>>> at the patch "SUNRPC: handle RPC client pipefs dentries by network
>>> namespace aware routine", which is indeed the cause, but which is one of
>>> the _dependencies_ for all the PipeFS notifier patches that fix the
>>> problem.
>>>
>>
>> I'm confused here. Does this means, that I have to fix patch "SUNRPC: handle RPC
>> client pipefs dentries by network namespace aware routine" to make it able to
>> bisect?
>
> What I mean is that currently, I have various ways to Oops the kernel
> when I apply "SUNRPC: handle RPC client pipefs dentries by network
> namespace aware routine" before all these other followup patches are
> applied.
>
> One way to could fix this, might be to add dummy versions of
> rpc_pipefs_notifier_register()/unregister() so that "NFS: idmap PipeFS
> notifier introduced" and the other such patches can be applied without
> compilation errors or Oopses before the "handle RPC client pipefs
> dentries..." patch is applied. The latter could then enable the real
> rpc_pipefs_notifier_register()/....
>
> The point is to not have these patches add _known_ bugs to the kernel at
> any point, so that someone who is trying to track down an unknown bug
> via "git bisect" doesn't have to also cope with these avoidable
> issues...
>

Ok, thanks for explanation.
I've sent rebased "v2" of the patch set, contains updated patch "SUNRPC: handle 
RPC client pipefs dentries by network namespace aware routine", which, I 
believe, fixes oops, spotted by Bryan (it was caused by excessive call of 
rpc_put_mount() on PipeFS dentries unlink).
So, if I'm not mistaken here, there's no need in implementing of dummy versions 
of rpc_pipefs_notifier_(un)register() or any other dummy stuff.

BTW, it looks like that in last 2 days I've sent all updates to the issues you 
pointed out. If not, please, ping me once more.

-- 
Best regards,
Stanislav Kinsbursky